cowdancer_0.88_i386.deb


Advertisement

Description

cowdancer - Copy-on-write directory tree utility

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename cowdancer_0.88_i386.deb
Package name cowdancer
Package version 0.88
Package release -
Package architecture i386
Package type deb
Category admin::filesystem field::TODO role::program scope::utility uitoolkit::ncurses use::TODO utils works-with::file
Homepage https://www.netfort.gr.jp/~dancer/software/cowdancer.html
License -
Maintainer Debian pbuilder maintenance team <team+pbuilder@tracker.debian.org>
Download size 31.94 KB
Installed size 108.00 KB
Tries to make copy-on-write semantics upon hard-link copied
directory trees generated with 'cp -la'
'cow-shell' command invokes a shell session. Within that session,
under the directory cow-shell was invoked,
cowdancer will create a new file when existing i-nodes are opened for
write.
Useful for quick scratch workspace and experimentation.
For a useful Debian tool, try cowbuilder.

Alternatives

Package Version Architecture Repository
cowdancer_0.88_amd64.deb 0.88 amd64 Debian Main
cowdancer - - -

Requires

Name Value
libc6 >= 2.8
libncurses6 >= 6
libtinfo6 >= 6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package cowdancer_0.88_i386.deb
Source Package cowdancer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install cowdancer deb package:
    # sudo apt-get install cowdancer

Files

Path
/usr/bin/cow-shell
/usr/bin/cowdancer-ilistcreate
/usr/bin/cowdancer-ilistdump
/usr/lib/cowdancer/libcowdancer.so
/usr/lib/i386-linux-gnu/cowdancer
/usr/share/doc/cowdancer/NEWS.gz
/usr/share/doc/cowdancer/README.Debian
/usr/share/doc/cowdancer/TODO
/usr/share/doc/cowdancer/changelog.gz
/usr/share/doc/cowdancer/copyright
/usr/share/man/man1/cow-shell.1.gz
/usr/share/man/man1/cowdancer-ilistcreate.1.gz
/usr/share/man/man1/cowdancer-ilistdump.1.gz

Changelog

2019-01-07 - Mattia Rizzolo <mattia@debian.org>
cowdancer (0.88) unstable; urgency=medium
[ Mattia Rizzolo ]
* Fix bash completion to work with a dynamic _have() instead of the static
have().  LP: #1792835
* Bump debhelper compat level to 12, using the new debhelper-compat.
+ Move from the deprecated dh_install --fail-missing to dh_missing.
* Bump Standards-Version to 4.3.0, no changes needed.
[ James Clarke ]
* Fix FTBFS with glibc 2.28.  Closes: #916062
2018-04-04 - Mattia Rizzolo <mattia@debian.org>
cowdancer (0.87) unstable; urgency=medium
* d/control:
+ Use HTTPS in the Homepage fields.
+ Update maintainer email address to team+pbuilder@tracker.debian.org.
* d/copyright: Use HTTPS in the Format URI.
2018-01-20 - James Clarke <jrtc27@debian.org>
cowdancer (0.86) unstable; urgency=medium
* Bump standards version to 4.1.3, no changes needed
* ilistcreate: Ensure .ilist has the correct permissions (Closes: #872597)
* cowbuilder: Always pass --mirror and --distribution to pbuilder
* qemubuilder: Depend on soon-to-be non-Essential e2fsprogs (Closes: #887239)
* debian/control:
- Change Vcs-* to point to salsa
- Set Rules-Requires-Root to no
* Bump compat to 11, no changes needed
2017-01-31 - James Clarke <jrtc27@debian.org>
cowdancer (0.85) unstable; urgency=medium
* cowbuilder.8: Don't document the option-style commands; they're confusing
and no longer recommended
* parameter.c: Allow commands to come later; deprecation warnings not given,
since at least one reverse dependency does not call cowbuilder correctly
(Closes: #852434)
2017-01-19 - James Clarke <jrtc27@debian.org>
cowdancer (0.84) unstable; urgency=medium
[ James Clarke ]
* Use automake for tests
* Don't run 016_memleakcheck for now
- Fixes FTBFS on hurd-i386
* Reformat everything with the help of clang-format
* Fix miscellaneous issues found by clang-tidy
* debian/control:
- Drop unused Build-Depends
- Update Build-Depends for cross-building
* cowbuilder: Pass --architecture to pbuilder when building
* qemubuilder:
- Check architecture has been specified (Closes: #440944)
- Allow custom debootstrap and options (Closes: #851226)
- Change for-loops to be C89-compliant
- Enable KVM via -machine (kvm binary is deprecated)
* parameter:
- Add missing fields to dump_config and reorder
- Remove duplicate hookdir definition
- Sync options with pbuilder 0.228
- Update short options
- Accept aliases for the operation to perform
* cowbuilder.8:
- Update for new command aliases
- Various cleanups
* qemubuilder.8:
- Update for new command aliases
- Various cleanups
[ Mattia Rizzolo ]
* debian/rules: Mark debian/qemubuilder.README.Debian target as .PHONY, so
it'll always run when called
* debian/qemubuilder.README.Debian: update from the wiki
2017-01-07 - James Clarke <jrtc27@debian.org>
cowdancer (0.83) unstable; urgency=medium
* parameter.c: Print a friendlier message when basepath can't be created
(Closes: #753008)
* debian/control: Use my @debian.org email address
* debian/copyright: Add myself (2016-2017)
* Revert "cowdancer: Use multiarch library path"
* Symlink multiarch path to non-multiarch path (Closes: #850453)
- If a user has updated their chroot to 0.82, this will cause a few errors
again on unpack, but this will be a very short window.
2016-12-05 - James Clarke <jrtc27@jrtc27.com>
cowdancer (0.82) unstable; urgency=medium
[ James Clarke ]
* Rewrite build system to use autotools instead of home-grown Makefile
* qemubuilder: Add support for arm64 (Closes: #838753)
[ Mattia Rizzolo ]
* Bump debhelper compat level to 10
* d/rules: drop override_dh_installchangelogs installing ChangeLog: it's
installed automatically since compat 7
[ James Clarke ]
* cowdancer: Use multiarch library path
* log.c: Silence colors termcap error (Closes: 845395)

See Also

Package Description
cowpatty_4.8-2_i386.deb Brute-force WPA dictionary attack
cowsay-off_3.03+dfsg2-6_all.deb configurable talking cow (offensive cows)
cowsay_3.03+dfsg2-6_all.deb configurable talking cow
coz-profiler_0.1.0-2_i386.deb Finding Code that Counts with Causal Profiling
cp2k-data_6.1-2_all.deb Ab Initio Molecular Dynamics (data files)
cp2k_6.1-2_i386.deb Ab Initio Molecular Dynamics
cpan-listchanges_0.08-1_all.deb package change history notification tool
cpanminus_1.7044-1_all.deb script to get, unpack, build and install modules from CPAN
cpanoutdated_0.32-1_all.deb script to detect outdated CPAN modules in your environment
cpants-lint_0.05-5_all.deb commandline frontend to Module::CPANTS::Analyse - tool
cpio-win32_2.12+dfsg-9_all.deb GNU cpio -- a program to manage archives of files (win32 build)
cpio_2.12+dfsg-9_i386.deb GNU cpio -- a program to manage archives of files
cpipe_3.0.1-1+b2_i386.deb counting pipe
cpl-plugin-amber-doc_4.3.8+dfsg-1_all.deb ESO data reduction pipeline documentation for AMBER
cpl-plugin-amber_4.3.8+dfsg-1+b1_i386.deb ESO data reduction pipeline for the AMBER instrument
Advertisement
Advertisement